package org.gcube.social_networking.socialnetworking.model.shared;

import java.io.Serializable;

@SuppressWarnings("serial")
public class Hashtag  implements IdResource, Serializable{

    private String hashtag;
    private int occurrence;

    /**
     *
     */
    public Hashtag() {
        super();
    }
    /**
     *
     * @param hashtag
     */
    public Hashtag(String hashtag) {
        super();
        this.hashtag = hashtag;
        this.occurrence = 0;
    }

    /**
     *
     * @param hashtag
     * @param occurrence
     */
    public Hashtag(String hashtag, int occurrence) {
        super();
        this.hashtag = hashtag;
        this.occurrence = occurrence;
    }


    @Override
    public String toString() {
        return "Hashtag [hashtag=" + hashtag + ", occurrence=" + occurrence + "]";
    }

    public void setOccurrence(int occurrence){
        this.occurrence = occurrence;
    }
    public int getOccurrence(){
        return this.occurrence;
    }


    @Override
    public String getId() {
        return hashtag;
    }
    public String getHashtag() {
        return hashtag;
    }

    public void setHashtag(String hashtag){
        this.hashtag = hashtag;
    }
}

