package org.gcube.social_networking.socialnetworking.model.shared;

import java.io.Serializable;
import java.util.Arrays;

public class NotificationPreference implements Serializable, IdResource {
    private String notificationType;
    private String[] notificationChannelType;

    /**
     *
     */
    public NotificationPreference() {
        super();
    }

    /**
     *
     * @param notificationType
     * @param notificationChannelType
     */
    public NotificationPreference(String notificationType, String... notificationChannelType) {
        super();
        this.notificationType = notificationType;
        this.notificationChannelType = notificationChannelType;
    }

    @Override
    public String toString() {
        return "NotificationPreference [notificationtype=" + notificationType + ", notificationChannelType="
                + Arrays.toString(notificationChannelType) + "]";
    }

    public String getNotificationType() {
        return notificationType;
    }

    public void setNotificationChannelType(String[] notificationChannelType) {
        this.notificationChannelType = notificationChannelType;
    }

    public void setNotificationType(String notificationType) {
        this.notificationType = notificationType;
    }

    public String[] getNotificationChannelType() {
        return notificationChannelType;
    }

    @Override
    public String getId() {
        return notificationType;
    }

}
