package org.gcube.social_networking.socialnetworking.model.shared;

import java.io.Serializable;
import java.util.Date;
/**
 * 
 * @author Massimiliano Assante, ISTI-CNR
 * @version 0.1 July 2012
 *
 */
@SuppressWarnings("serial")
public class Like implements Serializable, IdResource {

	private String key;
	private String userid;
	private Date time;
	private String postid;
	private String fullName;
	private String thumbnailURL;

	@Override
	public String getId() {
		return this.key;
	}

	public Like() {
		super();
	}

	public Like(String key, String userid, Date time, String postid,
			String fullName, String thumbnailURL) {
		super();
		this.key = key;
		this.userid = userid;
		this.time = time;
		this.postid = postid;
		this.fullName = fullName;
		this.thumbnailURL = thumbnailURL;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getUserid() {
		return userid;
	}

	public void setUserid(String userid) {
		this.userid = userid;
	}

	public Date getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = time;
	}

	public String getPostid() {
		return postid;
	}

	public void setPostid(String postid) {
		this.postid = postid;
	}

	public String getFullName() {
		return fullName;
	}

	public void setFullName(String fullName) {
		this.fullName = fullName;
	}

	public String getThumbnailURL() {
		return thumbnailURL;
	}

	public void setThumbnailURL(String thumbnailURL) {
		this.thumbnailURL = thumbnailURL;
	}
	
	public String toString() {
		return "KEY: " + key + " Time: "+ time + "\nuserid: "+userid + " Full name: " + fullName;
		
	}
}
